最近在学习 lisp ,在linux 上需要安装一个 list 的实现 - SBCL.

安装时候 问题多多, ubuntu apt-get 可以直接安装, 但   redhad/centos 6.4 不能直接安装了. 源码自动编译时也出错.

万能的Google 以下: 这篇文章  Installing SBCL 1.1+ on RHEL/CentOS systems ."let’s install the old SBCL. We need it because SBCL’s Lisp compiler is written in Lisp, so it requires a working Lisp compiler to compile itself. This older SBCL binary can be safely removed later."我们需要安装一个旧版本的sbcl 来编译新版本的sbcl .

命令:

  1.    sudo yum groupinstall "Development Tools"
  2. wget http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
  3. sudo rpm -Uvh epel-release-6*.rpm
  4. sudo yum install -y sbcl.x86_64
  5. 下载最新版本的 sbcl   http://www.sbcl.org/platform-table.html
  6. tar xfj sbcl-1.x.x-source.tar.bz2
  7. 编译    ./make.sh
  8. 安装  sudo sh install.sh
  9. 查看安装版本   sbcl --version
  10. 卸载 旧版本   sudo yum remove -y sbcl
  11. 完成!!